Summary:	Yodl: Yet oneOther Document Language
Summary(pl.UTF-8):	Yodl - jeszcze jeden język opisu dokumentów
Name:		yodl
Version:	3.05.01
Release:	1
# according to src/yodl/warranty.c (although GPL v3 text is included in LICENSE)
License:	GPL v2
Group:		Applications/Text
Source0:	http://downloads.sourceforge.net/yodl/%{name}_%{version}.orig.tar.gz
# Source0-md5:	68bdd1de6da7f49e510da69a99dc26f2
URL:		https://gitlab.com/fbb-git/yodl
BuildRequires:	bash
BuildRequires:	icmake
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	python
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_udatadir	%{_datadir}/%{name}

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to
some final document language. Current converters are for HTML, ms,
man, LaTeX SGML and texinfo, plus a poor-man's text converter. Main
document types are "article", "report", "book" and "manpage". The Yodl
document language is designed to be easy to use and extensible.

%description -l pl.UTF-8
Yodl to pakiet z implementacją języka pre-dokumentu i narzędzi do jego
przetwarzania. Idea Yodla jest taka, że pisze się dokument w
pre-języku, następnie używa narzędzi (np. yodl2html) by
przekonwertować go do jakiegoś docelowego języka dokumentu. Aktualnie
yodl zawiera konwertery do: HTML, ms, man, LaTeX, SGML i texinfo, oraz
text. Główne typy dokumentów to "artykuł", "raport", "książka" i
"strona podręcznika man". Język Yodl był projektowany tak, by być
łatwy w użyciu i rozszerzalny.

%prep
%setup -q

%{__sed} -i -e 's#-O2#%{rpmcflags} %{rpmcppflags}#g' build
%{__sed} -i -e '/COMPILER/ s#gcc#%{__cc}#' -e '/CXX/ s#g++#%{__cxx}#' INSTALL.im

%build
./build programs
./build macros
./build man
./build manual

%install
rm -rf $RPM_BUILD_ROOT

./build install programs $RPM_BUILD_ROOT
./build install macros $RPM_BUILD_ROOT
./build install man $RPM_BUILD_ROOT
./build install manual $RPM_BUILD_ROOT
./build install docs $RPM_BUILD_ROOT

rm -rf yodl-doc
%{__mv} $RPM_BUILD_ROOT%{_datadir}/doc/yodl-doc .
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/yodl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES README* changelog yodl-doc
%attr(755,root,root) %{_bindir}/yodl*
%{_datadir}/yodl
%{_mandir}/man1/yodl*.1*
%{_mandir}/man7/yodl*.7*
%changelog
* Fri Jul 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yodl.git;a=log;h=master

* Fri Jul 01 2022 Jakub Bogusz <qboosh@pld-linux.org> d9b1638
- updated to 3.05.01

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> 81d2bfd
- release 2 (by relup.sh)

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> b9fdd94
- more specific man files

* Sun Apr 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 331bed1
- up to 3.00.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 808bcd1
- dropped pre-cvs changelog

* Mon Dec 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b945950
- rel 7; pass correct datadir to configure, too

* Mon Dec 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 87e5b09
- rel 6; fix path to yodl data files

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f9608c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bbf140f
- converted to UTF-8

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> a21a071
- release 5 for Ac (4 is for Ra)

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 672fb7c
- no // in paths, sort, white space cleaning

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 5451e80
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b2a9bee
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 30 2002 ankry <ankry@pld-linux.org> d3baa2a
- new %%doc

* Thu Apr 25 2002 marcus <marcus@pld-linux.org> 718fcc2
- rel.4.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 1f00941
- adapterized.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> b3e72ee
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 27e9632
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Mon Dec 24 2001 Jakub Bogusz <qboosh@pld-linux.org> 0cc7c10
- pl description

* Mon Sep 17 2001 Paweł Gołaszewski <blues@pld-linux.org> 20817f1
- release 3
- configure2_13 used

